.calendar {
	direction: ltr;
	overflow-x: hidden;
	-webkit-touch-callout: none;
	-webkit-user-select: none;
	-khtml-user-select: none;
	-moz-user-select: none;
	-ms-user-select: none;
	user-select: none;
   font-family: 'Inter var',sans-serif;
	margin-bottom: 4rem;
	margin-top: 6rem;
}

.calendar:after {
	clear: both;
	content: "";
	display: block
}

.calendar .calendar-rtl {
	direction: rtl
}

.calendar .calendar-rtl .calendar-rtl table tr td span {
	float: right
}

.calendar table {
	margin: auto;
    margin-top:1rem;
	border-spacing: 0;
   border-top: 1px solid #ccc;
    padding-top: 7px;
}

.calendar table td,
.calendar table th {
	text-align: center;
	width: 20px;
	height: 20px;
	padding: 5px;
	font-size: 12px;
    line-height:15px;
}

.calendar .calendar-header {
	width: 100%;
	margin-bottom: 20px;
	border: 0
}

.calendar .calendar-header table {
	width: 100%;
      border:0;
	margin-top: 0;
padding-top: 0;
}

.calendar .calendar-header table th {
	font-size: 22px;
	padding: 5px 10px;
	cursor: pointer;
    vertical-align: middle;
	box-sizing: border-box;
}

.calendar .calendar-header table th:hover {
    color:var(--blue);
    opacity:1;
	text-decoration: underline var(--blue) 1px;
}

.calendar .calendar-header table th.disabled,
.calendar .calendar-header table th.disabled:hover {
	background: 0 0;
	cursor: default;
	color: #fff;
	text-decoration:none;
}

.calendar .calendar-header table th.next,
.calendar .calendar-header table th.prev {
	width: 50px;
    font-size:36px;
    font-weight:200;
}

.calendar .calendar-header table th.next span,
.calendar .calendar-header table th.prev span {
	height: 30px;
display: inline-block;
width: 30px;
background: #000;
border-radius: 50%;
	position: relative;
}

.calendar .calendar-header table th.next span:hover,
.calendar .calendar-header table th.prev span:hover {
    color:var(--nhov-col);
    transition: all .1s linear 0s;
	background:var(--blue);
}

.calendar .calendar-header .year-title {
	font-weight: 700;
	text-align: center;
	height: 20px;
	width: auto
}

.calendar .calendar-header .year-neighbor,
.calendar .calendar-header .year-neighbor2{
	opacity: .4;
	color:#fff;	
	display: none
}


.calendar-header table th.prev span::after {
	content: url('data:image/svg+xml,<svg height="19px" fill="rgb(255,255,255)" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 256 512"><path d="M231.293 473.899l19.799-19.799c4.686-4.686 4.686-12.284 0-16.971L70.393 256 251.092 74.87c4.686-4.686 4.686-12.284 0-16.971L231.293 38.1c-4.686-4.686-12.284-4.686-16.971 0L4.908 247.515c-4.686 4.686-4.686 12.284 0 16.971L214.322 473.9c4.687 4.686 12.285 4.686 16.971-.001z"/></svg>');
	width:34px;
	height: 34px;
	position: absolute;
top: -2px;
left: -2px;
	display: flex;
	justify-content: center;
	align-items: center;
	padding-right: 3px;
box-sizing: border-box;
}
.calendar-header table th.next span::after {
	content: url('data:image/svg+xml,<svg height="19px" fill="rgb(255,255,255)" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 256 512"><path d="M24.707 38.101L4.908 57.899c-4.686 4.686-4.686 12.284 0 16.971L185.607 256 4.908 437.13c-4.686 4.686-4.686 12.284 0 16.971L24.707 473.9c4.686 4.686 12.284 4.686 16.971 0l209.414-209.414c4.686-4.686 4.686-12.284 0-16.971L41.678 38.101c-4.687-4.687-12.285-4.687-16.971 0z"/></svg>');
	width:34px;
	height: 34px;
	position: absolute;
top: -2px;
right: -2px;
	display: flex;
	justify-content: center;
	align-items: center;
	padding-left:3px;
	box-sizing: border-box;
}




@media (max-width:991px) {
	.calendar .calendar-header .year-neighbor {
		display: none
	}
}

.calendar .calendar-header .year-neighbor2 {
	opacity: .2
}

@media (max-width:767px) {
	.calendar .calendar-header .year-neighbor2 {
		display: none
	}
}

.calendar .months-container {
	width: 100%;
    display: flex;
}

.calendar .months-container .month-container {
	float: left;
	text-align: center;
	height: 200px;
    margin-bottom: 5rem;
	padding: 0;
}

.calendar .months-container .month-container.month-2 {
	width: 16.66666667%
}

.calendar .months-container .month-container.month-3 {
	width: 25%
}

.calendar .months-container .month-container.month-4 {
	width: 33.33333333%
}

.calendar .months-container .month-container.month-6 {
	width: 50%
}

.calendar .months-container .month-container.month-12 {
	width: 100%
}

.calendar table.month th.month-title {
	font-size: 16px;
	padding-bottom: 5px;
    padding-left: 3px;
    text-align: left;
    font-weight: 600;
    color: #000;
}

.calendar table.month th.day-header {
	font-size: 14px;
    font-weight: 400;
    color: #000;
    border-bottom: 1px solid #ccceee;
    padding-bottom: 7px;
}

.calendar table.month tr td,
.calendar table.month tr th {
	padding: 0
}

.calendar table.month tr td.hidden,
.calendar table.month tr th.hidden {
	display: none
}

.calendar table.month td.week-number {
	cursor: default;
	font-weight: 700;
	border-right: 1px solid #eee;
	padding: 5px
}

.calendar table.month td.day.round-left {
	-webkit-border-radius: 8px 0 0 8px;
	-moz-border-radius: 8px 0 0 8px;
	border-radius: 8px 0 0 8px
}

.calendar table.month td.day.round-right {
	webkit-border-radius: 0 8px 8px 0;
	-moz-border-radius: 0 8px 8px 0;
	border-radius: 0 8px 8px 0
}

.calendar table.month td.day .day-content {
	-webkit-border-radius: 0;
	-moz-border-radius: 0;
	border-radius: 0;
	padding: 6px 6px;
    border-top: 1px solid #fff;
}

.day-half .day-content {
    background-image: url("../img/half.svg");
    background-position-x: -1px;
}

.calendar table.month td.new,
.calendar table.month td.new:hover,
.calendar table.month td.old,
.calendar table.month td.old:hover {
	background: 0 0;
	cursor: default
}

.calendar table.month td.disabled,
.calendar table.month td.disabled:hover {
	color: #ddd
}

.calendar table.month td.disabled .day-content:hover,
.calendar table.month td.disabled:hover .day-content:hover {
	background: 0 0;
	cursor: default
}

.calendar table.month td.range .day-content {
	background: rgba(0, 0, 0, .2);
	-webkit-border-radius: 0;
	-moz-border-radius: 0;
	border-radius: 0
}

.calendar table.month td.range.range-start .day-content {
	border-top-left-radius: 4px;
	border-bottom-left-radius: 4px
}

.calendar table.month td.range.range-end .day-content {
	border-top-right-radius: 4px;
	border-bottom-right-radius: 4px
}

.calendar .calendar-loading-container {
	position: relative;
	text-align: center;
	min-height: 200px
}

.calendar .calendar-loading-container .calendar-loading {
	position: absolute;
	top: 50%;
	left: 50%;
	transform: translateX(-50%) translateY(-50%)
}

.calendar .calendar-spinner {
	margin: 20px auto;
	width: 80px;
	text-align: center
}

.calendar .calendar-spinner>div {
	width: 16px;
	height: 16px;
	margin: 5px;
	background-color: #333;
	border-radius: 100%;
	display: inline-block;
	-webkit-animation: sk-bouncedelay 1s infinite ease-in-out both;
	animation: sk-bouncedelay 1s infinite ease-in-out both
}

.calendar .calendar-spinner>div.bounce1 {
	-webkit-animation-delay: -.32s;
	animation-delay: -.32s
}

.calendar .calendar-spinner>div.bounce2 {
	-webkit-animation-delay: -.16s;
	animation-delay: -.16s
}

.calendar-context-menu,
.calendar-context-menu .submenu {
	border: 1px solid #ddd;
	background-color: #fff;
	box-shadow: 2px 2px 5px rgba(0, 0, 0, .2);
	-webkit-box-shadow: 2px 2px 5px rgba(0, 0, 0, .2);
	position: absolute;
	display: none
}

.calendar-context-menu .item {
	position: relative
}

.calendar-context-menu .item .content {
	padding: 5px 10px;
	cursor: pointer;
	display: table;
	width: 100%;
	white-space: nowrap
}

.calendar-context-menu .item .content:hover {
	background: #eee
}

.calendar-context-menu .item .content .text {
	display: table-cell
}

.calendar-context-menu .item .content .arrow {
	display: table-cell;
	padding-left: 10px;
	text-align: right
}

.calendar-context-menu .item .submenu {
	top: -1px
}

.calendar-context-menu .item .submenu:not(.open-left) {
	left: 100%
}

.calendar-context-menu .item .submenu.open-left {
	right: 100%
}

.calendar-context-menu .item:hover>.submenu {
	display: block
}

.table-striped .calendar table.month tr td,
.table-striped .calendar table.month tr th {
	background-color: transparent
}

table.month td.day .day-content:hover {
	cursor: pointer;
}

@-webkit-keyframes sk-bouncedelay {
	0%,
	100%,
	80% {
		-webkit-transform: scale(0)
	}
	40% {
		-webkit-transform: scale(1)
	}
}

@keyframes sk-bouncedelay {
	0%,
	100%,
	80% {
		-webkit-transform: scale(0);
		transform: scale(0)
	}
	40% {
		-webkit-transform: scale(1);
		transform: scale(1)
	}
}



